Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.local
Class GenericFileNameParser

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileNameParser
          org.apache.commons.vfs.provider.local.LocalFileNameParser
              org.apache.commons.vfs.provider.local.GenericFileNameParser

All Implemented Interfaces:
  FileNameParser

public class GenericFileNameParser
extends LocalFileNameParser

A general-purpose file name parser.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`GenericFileNameParser()`

Method Summary
`protected FileName` | `createFileName(String scheme, String rootFile, String path, FileType type)`
`protected String` | `extractRootPrefix(String uri, StringBuffer name)` Pops the root prefix off a URI, which has had the scheme removed.
`static GenericFileNameParser` | `getInstance()` retrieve a instance to this parser

Methods inherited from class org.apache.commons.vfs.provider.local.LocalFileNameParser
`isAbsoluteName, parseUri`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileNameParser
`encodeCharacter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericFileNameParser

    public GenericFileNameParser()

Method Detail

### getInstance

    public static GenericFileNameParser getInstance()

  retrieve a instance to this parser

  Returns:
    the parser

### extractRootPrefix

    protected String extractRootPrefix(String uri,
                                       StringBuffer name)
                                throws FileSystemException

  Pops the root prefix off a URI, which has had the scheme removed.

  Specified by:
    `extractRootPrefix` in class `LocalFileNameParser`
  Throws:
    `FileSystemException`

### createFileName

    protected FileName createFileName(String scheme,
                                      String rootFile,
                                      String path,
                                      FileType type)

  Specified by:
    `createFileName` in class `LocalFileNameParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.